import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 140;
const eyebrowYOffset = -70;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI*2/3)
	.endAngle(Math.PI*4/3);
const eyeArc = d3.arc()
    .innerRadius(26)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="red"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "blue"
        stroke = "green"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "blue"
        stroke = "green"
      />
    <ellipse
        rx={eyeRadius/2}
        ry={eyeRadius/2}
        fill = "magenta"
        stroke = "green"
      />
      <line
        x1={300}
        y1={33}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-300}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-300}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={300}
        y1={20}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={300}
        y1={10}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-300}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "purple"
        stroke-width = '30'
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "purple"
        stroke-width = '30'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "purple"
        stroke-width = '30'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "purple"
        stroke-width = '30'
      />
    <path 
        d = {eyeArc()}
        transform = "rotate(5)    translate(-102,-128)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-5)    translate(102,-128)"
        fill = "black"
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);